<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class AddDobRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'dob' => 'required|string|date_format:Y-m-d|before:-13 years',
        ];
    }

    public function authorize(): bool
    {
        if (is_null(Auth::user()->dob)) {
            return true;
        }

        return false;
    }
}
